Re: Reá: Reá: new version of gpgme (0.4.5) breaks signature checking



Am 19.03.04 21:41 schrieb(en) Jean-Luc Coulon (f5ibh):
> I tried everything :
> - both binaries from debian
> - balsa threaded / unthreaded built by myslef, the same for libgpgme
> 
> It works with 0.4.3 and I've the same failuere (no data) with 0.4.5

After some more heavy debugging, I discovered that the routine  
gpgme_data_new_from_filepart, used for rfc 3156 signature verification and  
for '3156 decryption, seems to be broken in gpgme 0.4.5. I'll pass that  
bug report to the gpgme list asap (== tomorrow). For the time being,  
please use gpgme 0.4.3 (I think 0.4.4 should also work), and upgrade to a  
newer gpgme when it's ready, stay tuned...

Signature verification will work with 0.4.5 when you apply the smime  
patch, btw, as it uses a different method to pass the signature stream to  
gpgme, but decryption doesn't, so it's *not* a workaround...

THANKS A LOT FOR SPOTTING THAT BUG!!

Cheers, Albrecht.

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Albrecht Dre▀  -  Johanna-Kirchner-Stra▀e 13  -  D-53123 Bonn (Germany)
       Phone (+49) 228 6199571  -  mailto:albrecht.dress@arcor.de
_________________________________________________________________________

PGP signature



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]